Bug 74180 - partition without mountpoint: crash
partition without mountpoint: crash
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-17 10:12 EDT by Jure Pecar
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jure Pecar 2002-09-17 10:12:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
If i create some partitions without mountpoints in disk druid, installer crashes
after formating the filesystems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.in disk druid, create some partitions.
2.define mountpoints for some, but not all.
3.continue with instalation.

Actual Results:  Installer pops up a python exception after formating
filesystems and before 'setting up rpm transaction'.


Expected Results:  I would like/expect it to make the partitions, but leave them
unmounted. Disk Druid offers this possibility, so either make it work or somehow
force every partition created to have a mount point assigned.

Additional info:

This also happens if i define partitions as 'software raid'. For example, i'd
like to create some raid linear 'arrays', which i cannot do in the installer,
but would like to have the partitions already waiting for me after the
installation.
Comment 1 Jeremy Katz 2002-11-06 19:18:15 EST
Could you attach the traceback that you get?
Comment 2 Michael Fulbright 2002-12-02 11:10:31 EST
Closing due to inactivity, please reopen if you have additional information to add.
Comment 3 Red Hat Bugzilla 2006-02-21 13:49:38 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.